﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    $ dream = ImageDissolve("id_dream.png", 2.0, 64)
    image bg swings = "Swings.jpg"
    image cgbracelet = "cgbracelet.jpg"
    image mainmenu = "mainmenu.png"
    image cgdefend = "cgdefend.jpg"
    image cgcatch = "cgcatch.jpg"
    image cgswing = "cgswing.jpg"
    image playground = "playground day.jpg"
    image pn = "Playground.jpg"
    image park = "park.jpg"
    image pan = "park night.jpg"
    image corr = "corridors.jpg"
    image clroom = "classroom_s.jpg"
    image school = "school gate.jpg"
    image kde = "Kdefault.PNG"
    image kwo = "Kworried.PNG"
    image kre = "Krelieved.PNG"
    image kha = "Khappy.PNG"
    image kgl = "Kglad.PNG"
    image kte = "Kteasing.png"
    image kan = "Kangry.png"
    image mha = "mhappy.png"
    image man = "mangry.png"
    image mem = "membarrased.png"
    image mgl = "mglad.png"
    image mde = "mdefault.png"
    
    
    

    
    $ t = Character('Masaru', show_two_window=True, color="#8B4500" )
    $ d = Character('Kenji', show_two_window=True, color="#FFBF00")
    $ m = Character('Mom', show_two_window=True, color="#F34309")
    $ b = Character('Boy', show_two_window=True, color='#8B4500')
    $ B = Character('Other boy', show_two_window=True, color='#FFBF00')
    $ M = Character('Charity leader', show_two_window=True, color='#FFFFFF')
    $ TD = Character('Masaru and Kenji', show_two_window=True, color='#8C8C80')
    $ Te = Character('Teacher', show_two_window=True, color="#FFFFFF")
    $ bu = Character('Bully', show_two_window=True, color='#FE0000')
    $ ag = Character('Annoying girl', show_two_window=True, color='#FE0000')
    $ Teaser = Character('???', show_two_window=True, color='#FFBF00')
    $ cneu = Character("Shione",
        color="#DEB887", 
        window_right_padding=200,
        show_two_window=True,
        show_side_image=Image("S_neutral.png", xpos=990, ypos=800, xanchor=1.0, yanchor=1.0))
    $ cha = Character("Shione", 
        color="#DEB887", 
        window_right_padding=200,
        show_two_window=True,
        show_side_image=Image("S_happy.png", xpos=1000, ypos=800, xanchor=1.0, yanchor=1.0))
    $ cg = Character("Shione", 
        color="#DEB887", 
        window_right_padding=200,
        show_two_window=True,
        show_side_image=Image("S_glad.png", xpos=1000, ypos=800, xanchor=1.0, yanchor=1.0))
    $ csa = Character("Shione", 
        color="#DEB887", 
        window_right_padding=200,
        show_two_window=True,
        show_side_image=Image("S_sad.png", xpos=1000, ypos=800, xanchor=1.0, yanchor=1.0))
    $ cang = Character("Shione", 
        color="#DEB887", 
        window_right_padding=200,
        show_two_window=True,
        show_side_image=Image("S_angry.png", xpos=1000, ypos=800, xanchor=1.0, yanchor=1.0))
    
    $ narrator = Character(None, kind=nvl)
    $ nnvl = Character(None)
    
 
                        


# The game starts here.
label start:
    play music "nostalgia.mp3" fadeout 1
    scene park
    with dissolve
    window show
  
    # The person is actually the MC in her current age she is the one narrating the whole thing.
    $ show_button_game_menu = False
            
    "Friends." 
    "People who are emotionally close to you. People whom you trust and whom you are fond of."
    "Somebody whom you are in good terms with."
    "Someone who cares for you and someone whom you care for."
    "Everyone has a chance to have them, even the unfriedliest of people gets that chance... They may not know it, but some people might consider them a friend."
    "Why am I saying that everyone has a chance to have a friend?"
    nvl clear
    "Because when I was younger, I was one of the unfriedliest kids on earth, Anti-social they even called me."
    "I didn't like talking to other kids. Somehow, I always ended up being bullied, so I decided to just stop talking to them."
    "I never opened up to other kids. I shielded myself from the chance of being bullied again."
    "However, at the same time, I shielded myself from the opportunity of making a new friend."
    nvl clear
    
    with Pause(1)
    
    "And then one day, I met two boys..."
    "...who instantly became my friends."
    "One may ask how it happened."
    "Well.... this is how it all started."
    
    
label childhood: 
    window hide
    scene park
    with dream
    play music "Misaki.mp3" fadeout 1
    centered "{color=#000000}(Flashback: April, 2002){/color}"
    $ show_button_game_menu = True  
    nnvl "My mother is a  member of some sort of group that supports some charity."
    nnvl "And this charity always held fund raisers at various parks."
    nnvl "And whenever there was a fund raiser mom brings me along and asks me to play with the other members' kids."
    nnvl "I did not want to play with the other kids. All I had to do was find a nearby park with a swing and sit there until my mom called me."    
    nnvl "And then one day, mom brought me to a fund raiser. I brought a story book with me so I could have something else to do other than sitting on a swing all day long." 
    M "Mrs. Tanaka thank you once again for assisting us on this fund raiser. Mrs. Ayuzawa called at the last moment to say that she can't make it."
    M "Therefore, we decided to call you instead, we hope it isn't too much of a trouble."
    m "Helping the poor is always no trouble for me, ma'am."
    M "If only other people were as kind-hearted and as responsible as you Mrs.Tanaka. Then everyone would have no problems."
    m "Thank you for the compliment ma'am." 
    m "I will just talk to my child, then I'll come help set up."
    M "Alright then."
    m "Shione dear, Mom will start helping them now."
    m "You go along and read your book. I'll be here if you need me."
    cneu "Okay mom." 
    m "You sure you don't want to play with the other children?"
    cneu "I'm sure."
    m "Really?"
    cneu "Don't worry mom."
    cha "I'll be fine."
    m "Okay then, stay nearby and don't talk to strangers. Oh, and here you go."
    nnvl "She handed me a chocolate bar."
    cha "Thanks mom."
    m "No problem dear."
    scene playground
    with fade
    play music "slice1.mp3" fadeout 1
    nnvl "I walked and walked then, I found a children's playground."
    nnvl "I searched for a swing or a seat where I could read a book while eating my chocolate bar."
    nnvl "I found one and settled there."
    
    nnvl "After a few minutes, I heard footsteps coming towards me."
    play sound "Steps.ogg"
    nnvl "I thought it was just mom who will ask something."
    nnvl "But when I turned, I saw a figure of a boy."
    nnvl "A boy wearing glasses."
    show mde at center 
    with dissolve
    
    play music "Masaru.mp3" fadeout 1
    queue music "Masaru.mp3"
    
    b "Uhmmm. Hello."
    cneu "Hi."
    b "C-can I sit on the swing beside you?"
    cneu "Sure."
    nnvl "He sits on the swing to my left,"
    b "..."
    cneu "..."
    hide mde
    nnvl "I continued reading my book, then he asked."
    show mde
    b "What is your book all about?"
    nnvl "I didn't want to look rude but I couldn't help but stare at him. It's just that when I sat on a swing, most kids usually ignored me..."
    nnvl "Then {i}he{/i} approached me."
    nnvl "And it looks like, he is not comfortable with it."
    nnvl "My stare must've made him uncomfortable, because he then blushed and started to stammer."
    hide mde
    show mem
    b "S-s-sorry! I-its just that... that m-mom is busy over there and I can't talk to her a-and I didn't want to play with the kids running around."
    b "I g-g-got bored a-a-and I... I saw you sitting there, r-r-reading, and since I love to read I wanted to talk to you about that book!"
    nnvl "I didn't know how or why it happened but... I felt that I kinda like this boy..."
    nnvl "Not like as in *like like* but somehow, I felt that he is a lot like me."
    nnvl "A kid who is similar to me... A..."
    nvl clear
    scene black
    with fade
    centered "...friend that might share the same pain I feel."
    scene playground
    with fade
    nnvl "So, I did what I thought was almost impossible... I talked to the boy."
    cha "No, it's okay." 
    nnvl "He stopped blushing and smiled."
    hide mem
    show mgl
    nnvl "I smiled back."
    cg "...."
    hide mgl
    show mde
    b "So your book? What is it about?"
    cneu "It's a book about a girl who is a swan in the morning, but a girl at night."
    b "Is the name of that book Swan Lake?"
    cneu "Yes."
    hide mde
    show mha
    b "Oh I see, that's a good story."
    cneu "Yeah, I love it. I've read it a lot of times already."
    hide mha
    show mde
    b "I think it's a bit girly though." 
    nnvl "The boy stares at my book."
    jump choice1
label choice1:
    scene playground
    with dissolve
    play music "Masaru.mp3" fadeout 1
    menu:
         "Continue reading the book":
            hide mde
            nnvl "I continued reading my book and he just sat there playing on the swing."
            nnvl "I'm not used to this uncomfortable silence, so I decided to talk to him."
            $ know_name = False
           
         "Ask him his name.":    
            cha "What is your name?"
            hide mde
            show mha
            b "Nakaegawa... Nakaegawa, Masaru."
            cha "Geez. You don't have to be so formal you know. Anyway, my name is Shione."
            hide mha
            show mgl
            t "Nice to meet you."
            cg "Nice to meet you too."
            $ know_name = True  
              
    if know_name:
        play music "Misaki.mp3" fadeout 1
        cneu "Well, Masaru you are bored right?"
        hide mgl
        show mde
        t "Yeah."
        cg "If you like, we could play a game."
        hide mde
        show mha
        t "What kind of game?"
        cha "I think my cousin left a board game in mom's car. We could go ask mom for the keys and go get it."
        t "Is your mom nearby?"
        cneu "Yeah, she is over there helping in the fund raiser."
        hide mha
        show mde
        t "Oh, as much as I'd want to play, I don't think we should bother her. Everyone looks busy."
        cneu "Alright then. Let's do something else."
        t "I hope you don't mind... but, can we just play on the swings."
        cneu "Sure. Wanna see who can go higher?"
        hide mde
        show mha
        t "Are you challenging me?"
        cg "Maybeeeeee."
        t "Okay then, but beware I could go pretty high."
        cang "Yeah right. I'll bet my chocolate bar I can go higher."
        t "You don't have to, you know."
        
        play sound "Swings.mp3"  
        nnvl "We started to swing and...."
        nnvl "I lost."
        play music "slice1.mp3" fadeout 1
        
        hide mha
        show mde
        t "See, I told you you don't have to bet your chocolate bar."
        cneu "How did you get to go that high?"
        t "It's pretty easy you just push and push yourself using your feet and you must not look at the ground."
        cneu "But, if you don't look you might fall."
        t "If you look at the ground you'll get distracted because you will think that you might fall."
        cneu "I don't think I could stop looking at the ground."
        hide mde
        show mha
        t "If you like I could push you."
        cneu "Why?"
        t "Because if I push you you don't have to worry about falling because I'll be behind you."
        t "I'll assure you that... that..."
        hide mha
        show mem
        t "..."
        cneu "That what?"
        t "...that I won 't let you fall and get hurt..."
        cha "Really! Okay then!"
        scene cgswing
        with dissolve
        play music "romance.mp3" fadeout 1
        nnvl "I sat on the swing and he started pushing me."
        play sound "Swings.mp3"
        nnvl "The swing started to go higher and I started to feel scared. I asked him to stop then he said."
        t "Stop looking at the ground. Don't worry, I won't leave you."
        nnvl "I stopped looking at the ground."
        nnvl "And then..." 
        play sound "Wind.wav"
        nnvl "I felt the air on my face, it was so cool and it felt good."
        nnvl "And on that moment, I felt my worries about falling disappear."
        nnvl "After a few seconds, he stopped pushing me and I felt my feet touch the ground again."
        scene playground
        with dissolve
        cg "That was fun!"
        show mgl
        t "See. Now you don't have to feel scared of going so high."
        cha "Thank you."
        t "No problem."
        cneu "How did you know that I'd lose my fear if I didn't look at the ground?"
        hide mgl
        show mde
        t "I don't know. It's kinda hard to explain."
        cneu "I'll try to understand."
        t "Maybe because, if you try to see things in a good way and try not to focus too much on its bad stuff you will lose your fear for it."
        cneu "Ehhh.... but how?"
        hide mde
        show mha
        t "Heh, I guess you are still too young to understand."
        cang "Hey. By the way you look, I think you are just nine years old, like me!"
        t "When did you turn nine?"
        cneu "Last September."
        t "Awww. I'm still older than you I'm turning eight this May."
        cang "But that doesn't change anything! You are still a {i}kid{/i} like me!"
        hide mha
        show mde
        t "Yes I am a nine year old kid, but mom says my mind doesn't work like the mind of an ordinary nine year old."
        t "She said I was just like dad when he was younger, a little too mature."
        cneu "Your mom knew your dad when they were younger?"
        t "Yeah, she told me they were best friends."
        cneu "And they ended up together?"
        t "Yeah."
        cha "Wow, how... cute."
        t "Huh?"
        cg "To love and be able to marry someone you knew for a long time! I think it's cute."
        t "Hmmm... I guess it is."
        cneu "..."
        t "..."
        t "Shione?"
        cneu "Yeah?"
        hide mde
        show mem
        t "W-w-what would y-y-y-you th-think if the same thing..."
        t "..."
        nnvl "He stops at the middle of his question."
        cneu "The same thing what?"
        hide mem
        show mde
        t "Nothing."
        cneu "The same thing what?"
        hide mde
        show man
        t "I said nothing, didn't I?"
        cneu "Awwww. Come on."
        hide man
        show mde
        t "Alright then! What if the same thing..."
        hide mde
        show mem
        t "....the same thing h-h-happens to us?"
        hide mem
        show mde
        play music "quirky.mp3" fadeout 1
        nnvl "Wait... What if the same thing..."
        nnvl "Did he actually mean?"
        cang "You mean if we get MARRIED?"
        hide mde
        show mem
        t "..."
        t "N-n-no no-nothing like that. I m-m-meant if we become best friends for a long time."
        cneu "Oh that."
        cneu "Then I will be very glad. What about you? What do you think?"
        hide mem
        show mha
        t "I think I'll be very glad too."
        cha "..."
        hide mha
        show mem
        t "..."
        nnvl "I guess I made things a little {i}too{/i} awkward."
        play music "Kenji.mp3" fadeout 1
        nnvl "And then I saw another boy approach us."
        nnvl "The boy looked very different from Masaru. Even though, he was quite good-looking, he looked like one of those boys who were always insulting me."
        nnvl "Then out of pure instinct, I hid behind Masaru's back"
        
    else:   
        play music "slice1.mp3" fadeout 1
        show mde
        cneu "You said you were bored, right?"
        b "Yes."
        cha "Here you can read my book."
        hide mde
        show mha
        b "No you don't have to lend me the book. I've already read it and well... as I said it's too girly... For me."
        cneu "Then I won't read."
        b "Why?"
        cha "Because if I read, I can't talk to you, and when we can't talk, you'll be bored."
        hide mha
        show mgl
        b "Okay then, You are such a nice girl."
        cg "Hehe. Not really."
        cneu "Oh, and Swan Lake is not too girly."
        nnvl "We talked or a few minutes and then another boy approached us."
    
    if not know_name:
        play music "kenji.mp3" fadeout 1
        B "Hey Masaru!"
        nnvl "The boy turns and says."
        hide mgl
        show mde
        b "What?"
    else :  
        play music "kenji.mp3" fadeout 1
        B "Masaru!"
        t "What?"
    hide mem    
    show mde at right 
    show kde at left 
    B "Lets play hide-and-seek."
    t "I don't feel like it."
    B "Come on!!! Pleeeeeeease.... The other kids left already and no one else could play with me."
    nnvl "The boy looks behind Masaru, sees me and says..."
    play music "quirky.mp3" fadeout 1
    hide kde
    show kte at left
    B "So that's why you won't play with me! You have a GIRLFRIEND."
    hide mde
    show mem at right
    t "She is not my girlfriend."
    B "Masaru and whatever-the-girls-name-is sitting on a tree. {size=+12}K-I-S-S-I-N-G!{/size}"
    hide mem
    show man at right
    t " I told you she is NOT my girlfriend. She is just a friend."
    hide kte
    show kgl at left
    B "Hahaha, don't get so mad, I was just messing with you."
    hide man
    show mde at right
    play music "Misaki.mp3" fadeout 1 
    nnvl "He looks at me and says."
    hide kgl
    show kde at left
    B "Hi, May I know your name?"
    cneu "T-t-tanaka... Tanaka Shione."
    B "That's a nice name. But, can I call you Shii-chan?"
    cneu "I.. I... I d-don't think I would mind...."
    hide kde
    show kha at left
    B "Great!"
    B "Anyway, My name is Sasaki Kenji you can call me Kenji if youd like, and the four-eyed boy's name is Nakaegawa Masaru. I want to call him Masaru sempai, but he doesn't want me to."
    hide mde
    show man at right
    t "Are you mad? You are older than me, and we are in the same grade level, then you are going to call me Sempai?"
    hide kha
    show kte at left
    b "Who cares? You look and act older than me anyway."
    hide kte
    show kde at left
    b "Shii-chan, I suppose you know his name already?"
    hide man
    show mde at right
    if not know_name:
        cneu "N-no... We kinda forgot to tell each other our names."
        d "Oh well, be glad that I came, or you wouldn't know each other's names forever."
    else:
        cneu "Y-yeah we know each other's names already."
        hide kde
        show kha at left
        d "Cool, so Masaru finally gets the ability to talk to people."
        hide mde
        show man at right
        t "What the hell? Do I look anti-social to you?"
        hide kha
        show kte at left
        d "Well, you rarely talk with us boys and you {i}never{/i} talk to girls."
        t "I always talk to you and your friends. You dimwit."
        hide kte
        show kde at left
        d "Yeah, but that doesn't change the fact that you don't talk to girls."
        d "I wonder... Why is she an exception?"
        play music "quirky.mp3" fadeout 1
        hide man
        show mde at right
        t "..."
        hide kde
        show kte at left
        d "That's it you {i}like{/i} her!"
        hide mde
        show mem at right
        t "W-wh-wha- {size=+12}WHAT?{/size}"
        d "No wonder you were staring at someone when we were playing."
        d "Turns out that someone is Shii-chan!!!"
        t "I wasn't staring at her! I was staring at someone else. I was staring at the... at the..."
        t "..."
        t "..... I think... I was staring at a dog chasing an ice cream vendor."
        d "Yeah right, like I'm stupid enough to believe you."
        hide mem
        show mde at right
        t "It was worth a try. You easily fall for almost everything."
        hide kte
        show kgl at left
        d "Heh, I'm not entirely stupid you know. Let me give you two reasons why I don't believe you."
        hide kgl
        show kha at left
        d "First, dogs are not allowed in the park today. Mom said so herself."
        d "Second, Shii-chan is pretty cute you know. What kind of boy wouldn't stare at her?"
        nnvl "I felt myself blush."
        nnvl "Me? Cute? Impossible!"
        nnvl "I decided to make him stop, before he says even more embarrassing things.."
        cg "K-kenji-kun?"
        d "Yes? Oh, and you should just call me Kenji you know."
        cha "Maybe later... But, I.. I... th-think you should stop."
        hide kha
        show kgl at left
        d "Sure, I'd do anything for a cute girl like you."
        hide kgl
        show kde at left
        d "Oh, and why are you stuttering?"
        cneu "... A-am I?"
        d "Yeah you are! Don't tell me you're like Masaru when he talks to people?"
        hide kde
        show kte at left
        d "{size=-8}(mutters)The two of you would probably make an icky, yet perfect couple.{/size}"
        hide mde
        show man at right
        t "Sh-shut up!"
        d "Oh! You heard that?"
        hide kte
        show kwo at left
        d "*sighs*"
        cneu "You look like you don't like stuttering."
        hide kwo
        show kan at left
        d "I don't! To be honest, I find it annoying, you'll sound like a broken CD or something!"
        d "And another reason for my sighing is I am jealous because a girl like you would be perfect for that nerd."
        nnvl "I felt myself blush again."
        nnvl "For a kid, he is too straightforward, but even if he is. He still manages to be sweet."
        play music "Misaki.mp3" fadeout 1
        
        
    nnvl "I don't know why I started talking to this boy as well."
    nnvl "Especially if he is like one of those boys who always bully me."
    nnvl "But... He looks nice so.... Maybe, he is not like them."
    nnvl "If he is, then I should be avoiding him."
    nnvl "But somehow... even if he {i}really{/i} is like them... There is something about him that stops me from avoiding him..."
    nnvl "Maybe... just maybe, he is that friend..."
    scene black
    with fade
    centered "...the friend who will be able to change who I am."
    scene playground
    with dissolve
    show kde at left
    show mde at right
    d "Soooooo... what are you guys doing?"
    t "Nothing we were just talking."
    hide kde
    show kha at left
    d "Oh, okay then, can we PLEASE play?"
    hide mde
    show mha at right
    t "If you are gonna bug us all day long we might as well say yes. Is that okay with you Shione?"
    cha "Sure, but what will we play?"
    d "You choose."
    jump choice2
label choice2:    
    scene playground
    with dissolve
    play music "slice1.mp3" fadeout 1
    menu:
        "Hide-and-Seek":
            $ favorite_game = True
            cneu "Why don't we play hide-and-seek?"
            show kgl at left
            show mha at right
            d "Yay!!! Shii-chan likes playing games that I love."
            t "Okay then. You guys hide, i'll seek."
            d "Are you going to count, or are we just gonna say we're ready? "
            cneu "I think he should count. It would make the game more exciting."
            hide kgl
            show kha at left
            d "I like the way you think Shii-chan, give us 30 seconds Masaru."
            hide mha
            show mde at right
            t "Countdown begins 30... 29...28..."
            hide kha
            show kan at left 
            d "Hey! No fair! We're not even running yet."
            hide mde
            show man at right
            t "Oh alright! I'll reset then."
            hide kan
            show kgl at left
            d "Shii-chan let's go!"
            cha "Oh! okay then."
            hide man
            t "30...."
            with Pause(1)
            t "29...."
            hide kgl
            nnvl "Kenji-kun and I ran. Then he saw a nearby tree."
            show kde at center
            d "Hey Shii-chan! Do you know how to climb trees?"
            jump choice3
        "Tag":
            $ favorite_game = False
            cneu "Why don't we play tag?"
            show kde at left
            d "Alright then and you are it."
            cang "What? Why me?"
            d "Nah! I'm just kidding I'm it."
            nnvl "Then he touches me."
            hide kde
            show kgl at center
            d "And now you are it. Hahaha."
            cang "Hey that's not fair!"
            nnvl "I ran but Kenji-kun turned out to be fast so I ran after Masaru instead."
            hide kgl
            show mem at center
            t "Hey! Why are you going after me?"
            cg "Haha."
            hide mem
            show kgl at center
            d "Run, Shii-chan! Run!"
            nnvl "The three of us played tag and we stopped when the sun set."
            
            jump after_playing
            
label choice3:
    scene playground
    with dissolve
    play music "kenji.mp3" fadeout 1 
    menu:
        "Yes":
            cneu "Yeah, but I can't climb the really steep ones."
            show kha at center
            d "Oh that's alright this one doesn't look so steep. We're going to hide here." 
            hide kha
            show kgl
            d "Masaru doesn't know how to climb trees so we have an advantage."
            nnvl "Kenji-kun scaled the tree as fast as he could."
            nnvl "I tried to climb it, but it turned out to be a little, too steep."
            hide kgl
            show kwo
            d "Hey! I bet he's almost done, could you climb a little faster?"
            cang "Ugh... I'm trying but.... I can't! You chose a wrong tree!"
            hide kwo
            show kde
            d "Oh, is that so... Here... grab my hand!"
            nnvl "He reached for me and I grabbed his hand."
            nnvl "And climbing the tree became a whole lot easier."
            nnvl "He asked me to sit on a tree branch beside him."
            nnvl "After settling on that spot. I looked down."
            nnvl "It turns out that were up so high."
            nnvl "And I saw Masaru looking for us. He was right underneath the tree we were hiding at."
            hide kde
            show kha
            d "{size=-8}(Whispers)See! I told you Masaru wouldn't find us here.{/size}"
            nnvl "Masaru left. Turns out he was right."
            nnvl "Kenji-kun and I laughed."
            hide kha
            show kgl
            d "Hahaha! Masaru sucks!"
            cg "Hahaha!"
            cneu "Ow..."
            cang "Ugh!"
            hide kgl
            show kwo
            d "Shii-chan, What's wrong?"
            nnvl "As much as i'd like to hide from Masaru, I wanted to get off because... I started to feel uncomfortable on top of the branch."
            $ favorite_game = True
            jump choice4
        "No":
            cneu "No... I can't..."
            show kde
            d "Oh... That's okay. We'll find another place to hide."
            $ favorite_game = False
            nnvl "We hid behind the slide then after a few minutes..."
            hide kde
            show mha at right
            t "Gotcha!!!"
            show kwo at left
            d "Aw...."
            hide mha
            show mgl at right
            t "Hah! Now it's your turn to seek."
            hide kwo
            show kde at left
            d "Okay."
            d "30...29....28...."
            hide mgl
            show man at right
            t "Why are you counting so fast?"
            d "Because, I want to. 27... 26.... 25...."
            cang "Hey! That's not fair!!!"
            hide kde
            show kte at left
            d "Fine, fine.... I'll slow down."
            d "24...."
            d "23..."
            jump after_playing
            
                     
            
label choice4:
    scene playground
    with dissolve
    play music "slice1.mp3" fadeout 1
    menu:
        "Ask Kenji-kun, if we could go down already.":
            $ favorite_game = True
            cneu "Uhmmm Kenji-kun?"
            show kwo
            d "Yeah?"
            cneu "Could we go down now. My legs hurt already."
            hide kwo
            show kgl
            d "Sure! I'll go first."
            cneu "Wait.... Can you guide me first?"
            nnvl "Too late...He already jumps down and looks up towards me."
            hide kgl
            show kde
            d "Now you next."
            cang "What?! Have you gone mad?"
            d "Don't worry I'll catch you."
            csa "I don't think I can."
            hide kde
            show kha
            d "I'm sure you can! Don't worry I'll be here to catch you."
            cha "Make sure you do... Okay...."
            cneu "Here it goes!"
            nnvl "I jumped preparing myself for landing on the ground.... and then..."
            play music "romance.mp3" fadeout 1
            scene cgcatch
            with dissolve
            nnvl "I didn't land on the ground but I landed straight to Kenji-kun's arms."
            d "See! I told you I could catch you."
            cg "Nice catch! For a second there I thought I was a goner."
            d "Just be glad I am strong and pretty good at catching things."
            nnvl "He puts me down and says..."
            scene playground
            with dissolve
            hide kre
            show kde
            d "So that was what it feels like."
            cneu "What?"
            d "Having a girl in your arms, that was what it felt like."
            cneu "Why did you want to know how it feels like?"
            d "Because I always see Dad carrying mom when she is making fun of her."
            d "And he laughs really hard when he does that."
            cneu "Oh I see."
            d "Doesn't your dad do that too?"
            cneu "I.... I...."
            csa "I-i don't live with my dad anymore."
            hide kde
            show kwo
            d "What? Why?"
            csa "Mom never told me why."
            csa "He sometimes visit but he doesn't stay too long."
            cneu "He just gives me a gift then leaves."
            d "So you never felt what life was like living with a dad?"
            csa "I guess not."
            cang "Hey! Stop making me feel so bad!"
            hide kwo
            show kde
            d "Oh, sorry... But..."
            hide kde
            show kwo
            d "....Your dad is a real jerk, isn't he?"
            cneu "Huh?"
            hide kwo
            show kha
            d "If I get a girlfriend. I'll make sure I won't do those kinds of things to her and to our baby."
            cneu "Make sure you don't?"
            cneu "Oh, and if you get a girlfriend introduce her to me. Okay?"
            hide kha
            show kgl
            d "Sure thing, but why can't my girlfriend be... Shii-chan?"
            play music "quirky.mp3" fadeout 1
            cneu "..."
            cang "EHHHHHH?"
            hide kgl
            show kte
            d "I'm going to take care of you..."
            cang "No way..."
            d "... and we are going to be all lovey-dovey forever and ever."
            cang "...not in a million years!!!" 
            d "...and then we are going to buy a baby from that special shop dad told me about."
            cneu "Oh.... what shop are you talking about?"
            d "You know... the special shop where you get to buy a baby."
            d "Dad says if two people love each other so much..."
            d "... They get to buy a baby from a store."
            cneu "Where is that store?"
            hide kte
            show kha
            d "Dad says that special store will only show itself, if the couple lives together."
            d "He won't tell me how much a baby costs though."
            cneu "Why?"
            d "I dunno. He also told me the couple has to do something first."
            hide kha
            show kgl
            d "But, he won't tell me what the couple has to do."
            cneu "But mom says you have to be married to have a baby."
            hide kgl
            show kte
            d "Okay then, I'll marry Shii-chan first, then we will love each other, then we will look for that store, then we'll buy a baby."
            cang "WHAAAAAT? Didn't I tell you that it is not gonna happen?!"
            hide kte
            show kgl
            d "I'm kidding.... but you never know... It {i}might{/i} happen!!! hahaha."
            cneu "No way in hell dude."
            d "Hahaha!"
            nnvl "Who knew he could be so annoying?"
            nnvl "At least I got to learn where babies came from."
            play music "Misaki.mp3" fadeout 1
            hide kgl
            show kha
            d "Now let's go sneak up on Masaru, and shock him to death."
            cneu "What?"
            d "Let's go sneak up on him and scare him. I always wanted to do that, but I can't."
            cneu "If you can't, then I think you should just quit it you know."
            nnvl "Kenji-kun looked confused for a second then asked."
            hide kha
            show kde
            d "What does that word *quit* mean?"
            cha "So you never know how to quit huh?"
            d "No, I'm serious... what does it mean?"
            cneu "Oh...! You really don't know..."
            d "No...I don't..."
            cneu "Well... it means give up."
            d "So that's what it means."
            hide kde
            show kha
            d "Well... You're right!"
            cneu "Huh?"
            d "I will never know how to quit!"
            cg "Oh! haha... Well then, let's go and shock Masaru."
            jump after_playing
            

        "Find a way to make myself comfortable.":
            $ favorite_game = False
            nnvl "I moved and moved."
            nnvl "But I still felt uncomfortable."
            show kwo
            d "Hey Shii-chan, don't move so much you might fall."
            cneu "No, I think I'll be fine."
            nnvl "I still moved a bit and then...."
            nnvl "..."
            nnvl "..."
            stop music 
            play sound "Branch.wav"
            nnvl "...the branch broke."
            hide kwo
            d "SHII-CHAN!!!!"
                           
            nnvl "I landed on the ground with a loud *thud*."
            $ renpy.play('thud.wav')
            with hpunch
            nnvl "After that, came nothing."
            nnvl "..."
            $ show_button_game_menu = False
            window show
            "The last thing I saw before I fell was Kenji-kun's shocked face."
            play music "emote1.mp3" fadeout 1
            queue music "emote1.mp3"
            "The next thing I saw was a room in an hospital."
            "It turns out that I didn't die, I just had a concussion."
            "Mom was so worried she said I was out cold for almost three days."
            "And then the doctor came in, and assured that I would be okay."
            "After two days, I was discharged from the hospital."
            nvl clear
            "With the hopes of seeing Masaru and Kenji-kun again, I begged mom to let me join her again on fund raisers."
            "But she didn't say yes. She said she'll think about it. She told me that she doesn't want those things happening again."
            "She assisted again on other fund raisers but she hasn't brought me with her yet,"
            "Months passed."
            nvl clear
            "And she hasn't brought me again with her."
            "So, I never met Masaru and Kenji-kun again."
            "But everyday I hoped that mom would one day change her mind."
            "Hoping that she would bring me along... Hoping that...."
            "I could see my... {i}friends{/i} again."
            pause 1
            "Years passed and here I am now."
            "I was back to being a sociopath."
            "However, Even if I am now a teenager I still haven't forgotten about them."
            nvl clear
            "Though sometimes I wonder will mom really bring me again? I hoped a bit that she will..." 
            "However, The thought of her not bringing me ever again, was bigger than that hope..."
            "I guess I was stupid enough to believe mom... So stupid that I made..."
            window hide
            scene black
            with fade
            centered "{i}{size=+12}False hopes. {/size}{/i}"
            $ bad_ending = True
            $ good_ending = False
            $ true_ending = False
            nnvl ".:.The end(Bad ending)"

            jump credits                       
label after_playing:
    scene pn
    with dissolve
    if favorite_game:
        play music "quirky.mp3" fadeout 1
        nnvl "Carefully, Kenji-kun and I crept behind Masaru's back."
        d "{size=-8}There he is. Let's go get him Shii-chan.{/size}"
        show kde at left
        cneu "..."
        d "{size=-8}On the count of three... one....{/size}"
        cneu "..."
        hide kde
        show kha at left
        d "{size=-8} Two....{/size}"
        nnvl "I prepared myself to scare him... But then."
        t "Kenji, Shione I know you are right behind me... There is no need for you guys to surprise me..."
        cneu "..."
        hide kha
        show kwo at left
        show mde at right
        d "..."
        hide kwo
        show kde at left
        d "Oh well, better luck next time!"
        t "You do know that you can never surprise me Kenji. Even if you have another person with you."
        nnvl "He looks at me."
        cg "Teehee... I'm sorry." 
        cha "I just wanted to see what you look like when you are shocked or scared."
        hide kde
        show kha at left
        t "It's okay. Kenji never succeeds so I don't think you'll be able to see me shocked or scared."
        hide kha
        show kte at left
        d "Oh... I'll get you... Soon"
        hide kte
        show kgl at left
        d "I'll get you one day and I'll have the last laugh."
        hide mde
        show man at right
        t "Good luck with that."
    else:
        play music "slice1.mp3"
        show kha
        d "You know what Shii-chan."
        cha "What?"
        d "You are such a nice girl."
        d "Before, I thought you were all snobbish you know."
        cneu "Why?"
        hide kha
        show kde
        d "Because when we were here before. You never played with us."
        cha "Really?"
        d "Yeah I'm just glad Masaru took the guts to talk to you."
        nnvl "I'm actually glad he did that too."
        hide kde
        show mde at right
        t "I heard my name what were you talking about?"
        play music "quirky.mp3" fadeout 1
        show kte at left 
        d "I was just telling Shii-chan that you have an undying love for her."
        hide mde
        show mem at right
        t "W-w-what?"
        cg "No, he didn't! He was kidding."
        hide kte
        show kgl at left
        d "Hahahahaha! Masaru being embarrassed is always golden stuff!!! Hahaha."
        hide mem 
        show man at right
        t "S-s-shut up!"
        d "Hahahaha."
        cg "..."
        
        
    
    play music "Misaki.mp3" fadeout 1  
    hide kgl
    hide man
    nnvl "After that we sat down feeling tired."
    nnvl "It is almost night time, so the Fund raiser is about to be over."
    nnvl "I got hungry, so I pulled my chocolate bar out of my pocket and opened it."
    show kde
    play music "kenji.mp3" fadeout 1
    
    d "Is that chocolate?"
    cha "Yes, we could share if you want."
    hide kde
    show kha at left
    d "I love chocolate!"
    show mde at right
    nnvl "I asked Masaru if he wanted some, but he said no and he asked if he could read my book."
    cha "I thought you said it was too girly."
    hide mde
    show mha at right
    t "I think I'll manage."
    cha "Okay then... You sure you don't want any chocolate?"
    t "I'm sure."
    hide mha
    nnvl "Then he got up and he went back to the swings to retrieve my book."
    cg "Okay then Kenji-kun... Masaru doesn't want some so more for us!!!"
    hide kha
    show kgl
    d "Yay!!!"
    nnvl "I split the chocolate bar in half."
    nnvl "I was halfway finished on my part of the cocolate bar,  when Kenji-kun said."
    hide kgl
    show kde
    d "I'm all out."
    cneu "What?"
    hide kde
    show kha
    d "Yeah. Oh well.... Heyyyy! You want to hear something really cool?."
    cha "Sure! What is it?"
    d "Then come over here! I don't want Masaru to hear it."
    nnvl "I came near. Then all of a sudden he took a big chunk off of my share of the chocolate bar."
    play music "quirky.mp3" fadeout 1
    cang "Hey!!! What the!!!!"
    nnvl "He ate it and laughed."
    hide kha
    show kgl
    
    d "Hahahaha!"
    cang "Why you..."
    nnvl "I ate the rest of my chocolate bar in one bite and started to go after him."
    hide kgl
    show kte
    d "Catch me if you can!"
    cang "Well PRAY that I can't."
    hide kte
    nnvl "I ran as fast as I could but I couldn't catch up to him. I gave up and started to cry."
    csa "Kenji-kun... You... You big meanie...."
    play music "romance.mp3" fadeout 1
    show kwo
    d "Shii-chan? Why are you crying?"
    csa "I already gave you half and you still took a big chunk out of mine!"
    d "I'm sorry! Don't worry some other time, I'll give you a very BIG chocolate bar."
    csa "Okay you owe me a really big one."
    hide kwo
    show kde
    d "But we still have to share it okay?"
    play music "kenji.mp3" fadeout 1
    cneu "What?"
    d "I wouldn't let you eat all of it, I love chocolate so we still have to share but I promise i'll keep my part and you'll keep yours."
    cha "Oh! okay then..." 
    cang "...but if you do that again. I swear.."  
    cang "...I am going to hit you."
    hide kde
    show kre
    d "Don't worry... I won't, That's a promise..."
    cneu "You sure?"
    d "I'm sure."
    nnvl "Kenji-kun and I went back to where Masaru was sitting."
    hide kre
    show kde at left
    show mde at right
    d "Hey Masaru what are you doing?"
    t "Reading."
    play music "Masaru.mp3"
    hide kde
    show kte at left
    d "Laaaaaaaaame!"
    cang "Hey! Don't say that! I love to read."
    d "Oh really?"
    cneu "Yeah..."
    hide kte
    show kde at left
    d "I see... Oh well that chocolate and all those running around made me thirsty so I'm going to get something to drink."
    d "You guys want some?"
    t "Sure... Thanks..."
    hide kde
    hide mde
    show mde at center
    nnvl "I sat beside Masaru."
    cha "So... Did you like it?"
    t "Still a bit too girly for me."
    cneu "Oh come on!"
    play music "romance.mp3" fadeout 1
    t "Do you really like this that much?"
    cha "Of course!"
    hide mde
    show mha
    t "Oh well... Maybe if I get older I'll be able to appreciate it."
    cneu "What do you mean?"
    t "When I get older, I'll read other versions of this one. The ones that were not made simple just for us kids."
    t "And maybe if I read that. I'll know why you like this so much."
    cneu "Are you sure?"
    hide mha
    show mgl
    t "Yes. I promise to better understand this story... princess."
    cha "What did you just call me?"
    hide mgl
    show mem
    t "O-oh! Y-you don't like it? Here in the story, the prince calls the girl princess so I thought maybe you'd like it."
    cha "What made you think I'd like it?"
    t "I don't know..."
    cha "Oh is that so..." 
    cg "Haha."
    t "Why are you laughing?"
    cg "Nothing... Maybe because you are going to make me feel like a princess if you call me that."
    hide mem
    play music "Masaru.mp3" fadeout 1
    show mgl
    t "Oh..."
    cha "Oh, Masaru... can I call you Masaru-kun?"
    hide mgl
    show mde
    t "Why? Masaru is fine by me you know." 
    cha "No particular reason. I just wanted to."
    t "Sure I won't mind, just don't call me Sempai like Kenji does..."
    cha "Why not? You {i}are{/i} older than me."
    hide mde
    show man
    t "It's just a few months and I believe we are in the same grade level! And I don't like being called Sempai."
    cg "Okay then...."
    hide man
    nnvl "Shortly after that, Kenji returned with our drinks"
    
    
label go_home:    
    scene pan
    with dissolve
    play music "Misaki.mp3" fadeout 1
    nnvl "The fund raiser was over, and our mothers were calling for us."
    nnvl "It was time to say goodbye."
    show kde at left
    d "Bye Shii-chan I hope we see each other again!"
    show mha at right
    t "Yeah, me too."
    hide kde
    show kha at left
    d "I'll practically ask my mom to attend every fund raiser and to always bring me so we could play again. And when Masaru's mom isn't available we'll bring him along with us."
    cneu "You live near each other?"
    hide mha
    show mde at right
    t "Yeah as a matter of fact we almost live together our mothers are actually sisters."
    hide kha
    show kgl at left
    d "His house is three blocks away from our house!"  
    cha "You mean you guys are cousins?"
    hide mde
    show mha at right
    t "Yes we are. Couldn't you tell?"
    cneu "Well actually, no."
    hide kgl
    show kde at left
    d "Yeah, well we get that a lot. People say we look a lot like our fathers not our mothers."
    m "Shione! The car is ready! It's time to go home."
    cha "Oh! Mom is calling me..." 
    cg "I guess this is goodbye."
    nnvl "I turned to leave but then..."
    play music "romance.mp3" fadeout 1
    t "Shione wait!"
    cha "Yes?"
    d "Here."
    scene cgbracelet
    with dissolve
    with Pause(1)
    nnvl "Kenji-kun hands me a silver bracelet."
    cha "What is this?"
    t "It's for you! To remind you of us"
    cha "Really?"
    d "Yeah."
    t "Kenji and I asked our mothers for money."
    d "The two of us looked around the booths of the fund raiser before it was over."
    t "Then we combined our money to buy you that bracelet."
    cha "Wow..." 
    cg "Thank you so much guys!!!"
    d "Always wear that bracelet okay?"
    cha "Yes."
    nnvl "Mom honks the horn."
    scene pan
    with dissolve
    show kde at left
    show mde at right
    cg "Oh! Goodbye guys."
    hide mde 
    show mha at right
    t "Bye!"
    hide kde
    show kha at left
    d "Bye Shii-chan"
    hide mha
    hide kha
    show mgl at right
    show kgl at left
    TD "We promise we'll see you next time."
    nnvl "I entered the car and I looked out the window."
    nnvl "And then...."
    jump choice5

label choice5:
    scene pan
    with dissolve
    menu:
        "I waved goodbye":
            play music "emote1.mp3" fadeout 1
            cg "..."
            nnvl "I waved goodbye to them and they waved back."
            nnvl "It has been a fun day and I felt so happy because I made my first set of friends." 
            nnvl "However,  I also felt sad to know that this was the end of it."
            nnvl "Mom started to drive."
            nnvl "I watched them grow smaller and smaller."
            nnvl "I don't know when the next fund raiser would be."
            nnvl "I also don't know if Masaru or Kenji's mom will bring them again."
            nnvl "So I wondered, when will I see them again?"
            nnvl "Then, as if to answer myself, a big NEVER formed inside my brain."
            nnvl "That was when I felt tears forming in my eyes."
            csa "No. I will see them again{i} I will, I will, I will.{/i}"
            nnvl "But that thought did not stop my tears from leaking out."
            nnvl "Those tears in my eyes then made me realize that..."
            nnvl "I did not want this to end..."
            csa "Mom stop the car!!!"
            m "Why?"
            cang "PLEASE! Stop the car!"
            nnvl "She stops."
            nnvl "I rolled down the windows and cried."
            csa "{size=+12}I hope you guys won't forget your promises.{/size}"
            nnvl "They stood there shocked by my voice then, they smiled at me and said."
            show mgl at right
            show kgl at left
            TD "We won't."
            csa "..."
            hide mgl
            hide kgl
            cha "..."
            nnvl "I smiled, then dried my tears."
            nnvl "Because, that was enough to assure me that this is far from over."
            m "..."
            m "{i}Finally...{/i}"
            m "{i}She finally finds out the joy and the comfort of having a friend.{/i}"
            m "{i}I'm glad.{/i}"
            m "{size=-8}(mutters)Mrs.Nakaegawa, Mrs.Sasaki thank you very much for asking your sons to befriend my child.{/size}"
            cha "Did you say something mom?"
            m "Nothing dear."
            $ remember_promise = True
        "Smile at them.":
            play music "Misaki.mp3" fadeout 1
            nnvl "I smiled at them."
            cg "...."
            nnvl "And they smiled back."
            show mha at right
            show kha at left
            nnvl "I felt so happy because... for the first time in my life... I had friends."
            nnvl "Mom started to drive."
            nnvl "And I watched Kenji and Masaru grow smaller and smaller until they disappeared."
            hide mha
            hide kha
            nnvl "I turned around to admire the bracelet."
            nnvl "It was such a beautiful bracelet."
            nnvl "Seeing how beautiful it is made me smile."
            nnvl "I'll be counting the days till l see them again"
            $ remember_promise = False
label endings:
    if remember_promise and favorite_game and know_name:
        scene school
        with dissolve
        play music "slice1.mp3"
        nnvl "The next day I went to school."
        nnvl "Mom forgot to fetch my uniform from the laundry shop, and told the teacher about it..."
        nnvl "The teacher told my mom it was okay."
        nnvl "Great... Another way for me to look different... And another reason for me to be insulted."
        nnvl "But I won't mind though because...I was wearing the bracelet Masaru-kun and Kenji-kun gave me."
        scene clroom
        with dissolve
        nnvl "That's it, every day would be a new day for me."
        nnvl "I may not have any friends in this school but I will always have what they gave me."
        nnvl "As if this bracelet was a reminder of what they are to me."
        cha "As long as I'm wearing this bracelet, I would always be happy."
        cg "I wouldn't let anything ruin my day from now on."
        ag "Whoa... I knew it! Tanaka {i}is{/i} crazy... She is not wearing her uniform and She is talking to herself."
        cang "Oh, Shut up..."
        ag "Hehehe..."
        cang "..."
        ag "Tanaka, what is that on your wrist?"
        nnvl "She was looking at my bracelet."
        cang "None of your business..."
        ag "Aw... Come on let me see."
        nnvl "She was about to pull my wrist when..."
        Te "Fujii, Tanaka! Are you two fighting again?"
        ag "No ma'am."
        Te "Are you sure?"
        cang "..."
        cneu "No, we weren't."
        Te "That's good, now I want the two of you to listen."
        nnvl "Class turned out okay, but I couldn't help noticing that girl looking at me and my wrist..." 
        nnvl "Then, during recess time I was out at the corridor when...."
        scene corr
        with dissolve
        play music "action.mp3" fadeout 1
        queue music "action.mp3"
        bu "Hey Tanaka!"
        cang "Ugh!" 
        nnvl "Not this guy again."
        nnvl "Just because I'm two years younger than him doesn't mean that he could always push me around."
        bu "What, you're not happy to see me?"
        cang "Honestly, No.... What do you want?"
        bu "That's a nice bracelet you're wearing."
        cang "What's it to you?"
        bu "My little sister likes it."
        cang "So?"
        bu "She asked me if I could steal it from you."
        cang "WHAT? NO!"
        nnvl "The bully grabbed my right wrist."
        cang "Hey! Let go!!!"
        bu "What the hell? Sis! The bracelet is not with her."
        ag "Stupid! It's on her left wrist."
        cang "I told you to let go of me, didn't I?"
        bu "Just let me have the bracelet, then we're good."
        cang "I won't give it to you... Let go of me!!!"
        cang "NOW!"
        nnvl "As he tried to grab my left wrist I bit his right arm."
        bu "HEY! What the hell?"
        nnvl "His grip loosened."
        nnvl "And I escaped."
        bu "Argh!"
        ag "Big brother... I really like that bracelet!"
        bu "If you really like it, Shouldn't you be helping me?"
        ag "Oh alright."
        nnvl "I ran as fast as I could the bully couldn't chase me but..."
        nnvl "...His sister was faster than me."
        nnvl "The annoying girl blocked my path."
        nnvl "And the bully managed to grab me again."
        bu "Now, Tanaka if you don't want to get hurt. Give my sister the bracelet."
        cang "(Struggles to get away...)"
        cang "...."
        csa "Please, don't..."
        csa "This bracelet is important to me...."
        ag "Tanaka... You have to understand the fact that... Something that pretty doesn't suit that ugly face."
        TD "Yeah right, like that thing would even suit {i}your{/i} face?"
        ag "Huh?"
        nnvl "Those voices!"
        nnvl "Could it be?"
        nnvl "I turned and I saw their faces..."
        nnvl "The faces of the two people I wanted to see the most."
        t "Sir, please let go of the girl."
        d "Yeah, let go of her!"
        nnvl "The bully distracted with Masaru and Kenji's sudden appearance, loosened his grip and I managed to run away from him. "
        nnvl "Masaru and Kenji went towards me, and turned towards the bully and the annoying girl."
        scene cgdefend
        with dissolve
        bu "Who are you anyway?"
        t "It doesn't matter."
        ag "Why are you protecting this {i}loser{/i}?"
        d "You are asking Why....? You wanna know why we are protecting this loser?"
        d "Fine then we'll tell you."
        ag "..."
        d "We are helping..."
        t "....Because...This loser..."
        TD "HAPPENS TO BE OUR BEST FRIEND!"
        cneu "..."
        cneu "Me? Their.... best.... friend...."
        ag "..."
        bu "..."
        ag "Heh. So the loser finally gets friends."
        ag "The two of you are too cute to be hanging out with her, you know."
        ag "Why don't you guys join us?"
        t "Join you bully her?"
        t "Sorry, I think I'll pass."
        d "Yeah, now go away!"
        bu "Sorry but we are not going anywhere without her bracelet."
        bu "And stop trying to sound cool, kid with the glasses, you're face shows that you are scared to do this."
        t "..."
        nnvl "Kenji seeing his cousin's face, tried to change the topic. "
        d "Why do you want her bracelet so badly?"
        ag "Simple. I want to save the beautiful bracelet from an ugly owner."
        t "Then if you really want to save the bracelet then you should be leaving it alone."
        ag "Huh why?"
        nnvl "Masaru, even if he does look scared, said."
        t "Don't you get it?"
        ag "Huh?"
        bu "What are you talking about? Mr.fancy talk."
        d "What my cousin is trying to say..."
        d "...Is that you are even uglier than Shii-chan so you should leave the bracelet alone."
        ag "WHAT?"
        t "Well you said it yourself. You don't want the bracelet to have an ugly owner."
        t "And since you {i}are{/i} ugly then you should leave it alone."
        bu "What the hell!"
        nnvl "The bully gives off a very dark look."
        bu "Nobody calls my sister ugly."
        t "Really? Why is that so?"
        bu "Because... Because..."
        d "Wow, finally someone who is even slower than me!"
        bu "What? Are you calling me dumb?"
        d "I was calling you {i}slow{/i}. I didn't say anthing about being dumb."
        bu "You were calling me dumb."
        d "But..."
        t "Kenji, don't say anything else...."
        t "If he wants to be called dumb... Then let him be dumb....."
        cneu "What the hell... Stop provoking him...."
        t "Why?"
        cang "Because... things won't be pretty."
        d "I don't know what provoking means Shii-chan..."
        d "But, you know what..."
        d "....I agree with Masaru."
        bu "That's it enough with the chit-chat..."
        bu "I'm going to hit the two of you, then I'm getting that bracelet."
        nnvl "The bully runs after us."
        nnvl "Masaru-kun pushes me to another direction and then sidesteps causing the bully to almost lose his balance."
        scene corr
        with dissolve
        nnvl "The bully turned around, looks at me, then Masaru-kun then he goes after him.."
        nnvl "He was so focused on Masaru-kun that he did not notice Kenji-kun putting his foot in front of him."
        $ renpy.play('thud.wav')
        with hpunch
        nnvl "The bully trips and then falls with a thud."
        nnvl "He winces in pain, stands up, looks at Kenji and runs after him."
        d  "Oh sure, go after me and I'll tell my mom you hurted me."
        show kan
        nnvl "The bully stops, The word \"mom\" had an effect on him."
        bu "Fine, I will stop but I'll make sure that I'm going to get you for this, mama's boy."
        d "Yeah, yeah whatever! Oh and a little tip, don't bother using mama's boy to insult me, I'm proud to be a mama's boy! Now, shoo!"
        nnvl "The bully turns and leaves without even calling his sister."
        hide kan
        show kre at left
        show mha at right
        t "Nice one Kenji."
        d "Heh, Nobody hurts Shii-chan and Masaru."
        hide kre
        show kan at left
        hide mha
        show man at right
        nnvl "They turned and looked at me and the annoying girl."
        ag "Oh... Will you look at the time... I guess I should go... Big brother! Wait for me!"
        nnvl "I watched the girl run away from us."
        nnvl "Then I turned towards them."
        nnvl "And gave them my biggest smile."
        play music "Ending.mp3" fadeout 1
        queue music "Ending.mp3"
        cg "Thanks!"
        hide kan
        show kha at left
        TD "No problem."
        hide man
        show mde at right
        t "Are you okay?"
        cha "Yeah."
        hide kha
        show kwo at left
        d "Are you sure?"
        cha "Yeah I'm fine."
        d "The girl called you ugly."
        cneu "So?"
        hide mde
        show man at right
        t "Well she shouldn't! You are not ugly!"
        hide kwo
        show kde at left
        d "Yeah, you're too cute to be called ugly."
        cneu "Yeah, yeah whatever. Anyway, what are you guys doing here?"
        hide man
        show mde at right
        t "We are checking this school out."
        cneu "Why?"
        hide kde
        show kha at left
        d "Because we are planning on enrolling here next school year!"
        cha "Seriously?"
        hide mde
        show mha at right
        t "Yes. Our mothers are actually talking to the principal already."
        d "We wanted to see you so we asked the woman at that room to where we could find you."
        t "And she said that your classroom is located somewhere here in this hallway."
        d "Then we asked permission from mom and then we asked the janitor if he could show us the way."
        cha "So you guys are going here next school year?"
        hide mha
        show mde at right
        t "It depends, if Auntie and mom would like this school."
        d "Yeah, but if they don't like it we are going to bug them..."
        hide kha
        show kgl at left
        d "... Bug them so much that they'd wish that they never had a child!"
        cg "You guys really are the best."
        cneu "But wait how did you know I study here?"
        hide kgl
        show kte at left
        d "Don't you know?"
        cang "No, that's why I'm asking!!!"
        t "Mom is actually the president of that charity you're mom gives help to."
        hide kte
        show kde at left
        d "And my mom is vice president!"
        t "We asked our mothers about someone named Mrs.Tanaka."
        d "Then she told us about  your mom."
        hide mde
        show mha at right
        t "Then we told our mothers how much we liked you as our friend."
        d "So we asked them if they could find a way for us to play again."
        t "And as luck would have it, your mother told our mother the good school you are attending."
        hide kde
        show kgl at left
        d "And we asked them if they could check this place out..."
        hide mha
        show mgl at right
        TD "So that I could get a chance to see you again."
        hide kgl
        show kan at left
        d "Hey! That was my line!"
        hide mgl
        show man at right
        t "No way! It was mine!"
        cg "Guys, seriously. Don't fight in front of me."
        hide man
        show mde at right
        t "Anyway another reason was, we wanted to keep our promise, right Kenji?"
        hide kan
        show kde at left
        d "Yeah we don't like seeing Shii-chan cry.."
        hide mde
        show mha at right
        t "And now we are making a new promise."
        hide kde
        show kgl at left
        d "And that promise is to be your bestest friends forever."
        nnvl "Tears started to form in my eyes."
        csa "..."
        hide kgl
        show kan at left
        hide mha
        show man at right
        TD "You are crying again!!!"
        csa "Oh sorry. It's just that having a friend never crossed my mind..."
        csa "...and now the two of you are here."
        hide man
        show mem at right
        t "You do know that you deserve to have a friend Shione."
        hide kan
        show kwo at left
        d "Yeah no matter what kind of person you are."
        csa "Thanks. It's just that... i'm the biggest freak here... the anti social loser..."
        csa "...It's kinda surprising that you guys wanted to be friends with a loser like me."
        csa "A loser that only attracts bullies, insults and pain."
        hide kwo
        show kde at left
        d "Don't say that Shii-chan."
        hide kde
        show kha at left
        d "We befriended you because we like you, just the way you are."
        hide mem
        show mha at right
        t "...and don't worry No matter what happens..."
        hide kha
        show kgl at left
        d "...We'll allways be here for you."
        hide mha
        show mgl at right
        TD "We are not going to let anyone or anything hurt you."
        hide mgl
        show man at right
        hide kgl
        show kan at left
        TD "HEY!"
        t "STOP STEALING MY LINE!"
        d "YOU'RE THE LINE STEALER!"
        t "THERE IS NO SUCH WORD AS STEALER."
        d "THERE IS..! STOP BEING STUPID!"
        hide man
        show mde at right
        t "Heh, the proper word for a person stealing things is thief, dimwit."
        d "I am no dimwit! You know-it-all."
        t "Those words won't hurt me. I know for a fact that I am indeed a know-it-all."
        d "FIne then... GEEK...NERD...."
        hide kan
        show kwo at left
        d "...geek"
        t "Still won't work."
        hide kwo
        show kan at left
        d "What about a good punch on the face? Would it work?"
        cneu "Guys stop it..."
        cg "Please..."
        hide mde
        show mgl at right
        t "Sure thing. But why don't you try asking Kenji again?"
        hide kan
        show kde at left
        d "No need. I'll stop."
        cha "Thank you."
        hide kde
        show kgl at left
        t "No problem."
        d "You're welcome. Shii-chan"
        TD "I'll always do anything for you."
        hide mgl
        show man at right
        hide kgl
        show kan at left
        TD "HEY!"
        TD "WHAT THE HELL!"
        TD "YOU'RE STILL USING MY LINES!"
        cg "Hahahahaha!"
        t "What's so funny?"
        cg "Nothing... Hahaha...It's just that... I mean.... You guys really are cousins!"
        d "Yeah and it's starting to get annoying."
        cha "I don't think it's annoying."
        cg "It's kinda cute."
        hide man
        show mha at right
        t "..."
        hide kan
        show kde at left
        d "Heh..."
        hide kde
        hide man
        
        $ show_button_game_menu = False        
        window show
        "Kenji-kun's and Masaru-kun's mothers liked my school."
        "And they ended up studying here."
        "Then when we were in our 5th grade."
        "Masaru-kun and Kenji-kun's family moved to a different house."
        "And the funny thing was they moved five blocks away from my house."
        "And we were more inseparable since."
        "As the years passed."
        nvl clear
        "Kenji-kun taught me how to open up more to people. And he would always *talk* to the bullies who try to get me."
        "Masaru-kun helped me in my studies (specifically science). And he would always be the one who comforts me whenever I felt sad or pissed."
        "And with their help I found another friend in my first year in high school, her name is Koizumi Misaki."
        "She was a great friend. A girl whom I can trust my secrets with..."
        "In all those years, that I was friends with them..."
        "...I taught Kenji-kun how to be more patient. And I also taught Masaru-kun to be more laid-back."
        "I was also the one who tries to break their fights."
        "Even though it's hard being with them..."
        nvl clear
        "...And even if people always mistook me to be a two timing flirt who plays with their feelings."
        "I didn't care because..."
        "Having them as my friends was worth more than all of that."
        "Anyway, who cares what people think? At least our families and other friends know what our real relationship is."
        "And I'm  pretty sure Masaru-kun and Kenji-kun don't have any feelings of infatuation towards me."
        "I'm glad that they understand the fact that there is nothing wrong with a girl who has two boys as her best friends."
        "I also know that I am no two timing flirt. I dress very simply, I don't try to sweet talk them. I don't even kiss or hug them."
        "All I ever did was becoming their friend..."
        nvl clear
        "And whenever I say goodbye to them when I get home."
        "I would always look at the bracelet on my wrist. The silver bracelet they gave me when I was seven years old."
        "Masaru-kun and Kenji-kun found it funny that even if I was already sixteen years old I still try to keep this little trinket."
        "I didn't care though, for me this little trinket would always be the thing that symbolizes and bonds our..."
        scene black
        with fade
        centered "{i}{size=+12}Friendship for life.{/size}{/i}"
        nnvl ".:.The end (True ending)"
        $ true_ending = True
        $ good_ending = False
        $ bad_ending = False
        $ the_catalyst = False
        $ flase_hope = False
        jump second_chance
        
    else:
        scene school
        with dissolve
        play music "slice1.mp3"
        queue music "slice1.mp3"
        nnvl "I kept the bracelet with me."
        nnvl "But in fear of losing it at school I didn't wear it."
        nnvl "I'm sure it might get lost because, I'm bound to attract bullies because of me, not wearing my uniform."
        cang "Mom just had to forget fetching my clothes from the laundry shop."
        scene clroom
        with dissolve
        bu "Hey Tanaka!"
        cang "What now?"
        bu "How is it over there in LOSERSVILLE."
        cang "How should I know? I've never been there."
        cneu "Buuuuut, Maybe {i}you{/i} know. You live there don't you?"
        bu "Heh! Trying to be all tough now huh?"
        cang "I'm not. I'm just... trying to stand up for myself."
        nnvl "I turned and left before the bully starts to do something else."
        scene corr
        with dissolve
        nnvl "As long as I knew that my friends are always there I would let nothing stand in the way of my happiness."
        nnvl "I wonder when will I see them again?"
        nnvl "I wanted to see them again. To be able to talk to them... To be able to play with them again."
        cang "Argh! When is the next fund raiser?"
        TD "Woah... Shione, why are you talking to yourself?"
        nnvl "I turned."
        show kde at left
        show mha at right
        nnvl "And I saw Masaru-kun and Kenji-kun smiling at me."
        hide kde
        show kwo at left
        d "You are not wearing the bracelet."
        cha "Oh I kept it. I don't want to lose it."
        hide kwo
        show kde at left
        d "Oh I see."
        cha "What are you doing here?"
        t "We are checking the school out."
        cha "Why?"
        hide kde
        show kha at left
        d "Isn't it obvious already?"
        cneu "Are... you guys... going to study here?"
        hide mha
        show mgl at right
        t "Yeah sort of. Mom is talking to the principal."
        cha "REALLY?"
        hide mgl
        show mha at right
        t "Yes. We are hoping that mom would like this place."
        cg "I hope she does... It'd be great if you guys get to study here."
        cha "But... How did you guys know that I study here?"
        hide kha
        show kde at left
        d "Auntie is the president of the charity your mom gives help to."
        t "So I asked mom if she could contact your mom."
        hide kde
        show kha at left
        d "I grabbed the phone and I asked your mom when we can play again!"
        d "Then she asked me if I'd like to see you again."
        t "And naturally, he said yes."
        d "And your mom gave me the name of your school."
        hide kha
        show kgl at left
        d "And I asked auntie to bring us here."
        hide mha
        show mgl at right
        t "Then I told mom that while we are here, she should check this school out. So that she could consider letting us study here when spring comes."
        cg "Wow!"
        cha "I hope she would like this place."
        hide mgl
        show mde at right
        t "I'm sure she will because I've heard that the school's curriculum is one of the best in the country..."
        hide mde
        show mha at right
        t "The teachers also look very good and professional and they seem to know what they are doing."
        hide mha
        show mgl at right
        t "And the library offers a vast expansion of encyclopedias, almanacs, novels that I'd like to get a hold on and study."
        hide kgl
        show kha at left
        d "I didn't understand a thing that Masaru said but all I know is...."
        hide kha
        show kgl at left
        d "...This school looks a whole lot better than ours and the playground is HUGE!"
        cg "..."
        $ show_button_game_menu = False
        window show
        "And that was how it happened."
        "Masaru and Kenji did study here."
        "They finally taught me what it was like to have friends."
        "They even *talked* to the bullies who were always bullying me."
        "And with their help I stopped being a sociopath."
        "I finally had the guts to talk to other people."
        nvl clear
        "And after a few years (with their help) I became the most popular girl in school."
        "However, when high school came Kenji and Masaru studied at another school."
        "A school that was too far away..."
        "I cried a bit, yes but the pain eventually subsided."
        "They occasionally write letters to me though. They even visit once in a while."
        "They were still my friends but sometimes I couldn't help but think that they were just..."
        scene black
        with fade
        centered "{size=+12}{i}Catalysts{/i}{/size}"
        $ good_ending = True
        $ the_catalyst = True
        $ bad_ending = False
        $ true_ending = False
        $ false_hopes = False
        nnvl ".:.The end (Neutral ending)"
        
        
        jump second_chance

        
   
    
label second_chance:
    if good_ending:
        nnvl "You were able to get the neutral ending!"
        nnvl "Would you like to do over and be able to see the true ending?"
        nnvl "If you say yes  you'll go back to the very first choice.."
        nnvl "But if you are contented with the ending you got and you said no..."
        nnvl "You'll go straight to the credits."
        menu:
            "Yes":
                nnvl "Are you sure?"
                menu:
                     "Yes, please go back to the very first choice":
                         jump choice1
                     "I change my mind, just end the game!":
                        jump credits        
                
                
                
            "No":
                nnvl "Okay then!"
                jump credits
            
        
                        
                
    if true_ending: 
        nnvl "You got the true ending."
        nnvl "Therefore, you get to take a short quiz after the credits..! Yay~~"
        nnvl "Anyway, That is their true story."
        nnvl "That was how it really happened."
        nnvl "I don't think you have to redo it."
        nnvl "Do you want to see the other endings and redo?"
        menu:
            "Yes":
                nnvl "Alright then! Jumping back to choice 1!"
                jump choice1
            "No":
                nnvl "Alright then, straight to credits!"
                jump credits
            
        
        
        
label credits:
    
    centered "{color=#8c8c8c}{size=+12}Caught in between: A childhood prologue{/size}{/color}"
    centered "{color=#8c8c8c}Writer and Programmer: SilverxBlue{/color}"
    centered "{color=#8c8c8c}Sprite Artist: Elze{/color}"
    centered "{color=#8c8c8c}CG Artist: Juryia and silversporksama{/color}"
    centered "{color=#8c8c8c}BGM maker: konaa {/color}"
    centered "{color=#8c8c8c}Background art from: http://mao.sub.jp/{/color}"
    centered "{color=#8c8c8c}Proofreader: vedicardi{/color}"
    centered "{color=#8c8c8c}Made with the Ren'Py Visual Novel Engine{/color}"
    centered "{color=#8c8c8c}RenPy made and developed by PyTom..{/color}"
    centered "{color=#8c8c8c}Sorry for all my mistakes in the game everyone and...{/color}"
    centered "{color=#8c8c8c}{size=+12}Thank you for playing!{/size}{/color}"
    centered "{color=#8c8c8c}Goodbye for now!{/color}"
    centered "{color=#8c8c8c}You'll see us again in Caught in Between{/color}"
    if true_ending:
        centered "{color=#8c8c8c}It is the same title but...{/color}"
        centered " {color=#8c8c8c}...Were going to fast forward ten years later.{/color}" 
        centered "{color=#8c8c8c}You will be playing as seventeen-year old Shione who is in her Senior Year together with Masaru and Kenji.{/color}"
        centered "{color=#8c8c8c}You will also be able to meet Koizumi Misaki... Shione's other best friend...{/color}"
        centered "{color=#8c8c8c}Annnnnnd.... This time it would be a GxB visual novel!!!{/color}"
        centered "{color=#8c8c8c}So you have a chance of ending up with one of them~~~ :){/color}"
        centered "{color=#8c8c8c}So decide...{/color}" 
        centered "{color=#8c8c8c}The shy and sweet Masaru?{/color}"
        centered "{color=#8c8c8c}Or the playful yet affectionate Kenji?{/color}"
        centered "{color=#8c8c8c}Before I go...{/color}" 
        centered "{color=#8c8c8c}Why don't you take a short quiz to find out who's path will you pursue?{/color}"
        centered "{color=#8c8c8c}And then I'll go FOR REAL.{/color}"
        $ Kenji_points = 0
        $ Masaru_points = 0
        centered "{color=#8c8c8c}Well! here it goes!{/color}"
        centered "{color=#8c8c8c}Which would you prefer?{/color}"
        menu:
            "Going on a stroll around the beach.":
                $ Kenji_points +=1
            "Lying down and watching the stars":
                $ Masaru_points +=1
        centered "{color=#8c8c8c}Next Question:What set of colors suit your taste better?{/color}"
        menu:
            "Brighter colors":
                $ Kenji_points +=1
            "Darker colors":
                $ Masaru_points +=1
        centered "{color=#8c8c8c}Third Question: In what artistic department are you mostly talented/gifted?{/color}"
        menu:
            "Creative Writing(e.g:Journalist,writer...)":
                $ Masaru_points +=2
            "Music (e.g: SInger,Dancer,Composer...)":
                $ Kenji_points +=1
            "Arts(e.g: Painter,Illustrator...)":
                $ Kenji_points +=2
            "Communication Arts(e.g:Voice Actress, Linguist...)":
                $ Masaru_points +=1
        centered "{color=#8c8c8c}Last question: Which among this statements is TRUE about you?{/color}"
        menu:
            "I am not really lazy. I just don't like doing the things people ask me to do.":
                $ Kenji_points +=1
            "I have grace under pressure":
                $ Masaru_points +=2
            "I don't care what other people think about me.":
                $ Kenji_points +=2
            "People who befriend you for their personal gain, annoy the hell out of me":
                $ Masaru_points +=1
        centered "{color=#8c8c8c}And that's it you're done.{/color}"  
        centered "{color=#8c8c8c}And the result you get is!!!!{/color}"
        centered "...."
        if Masaru_points >=3 and Kenji_points <3:
            centered "{color=#8c8c8c}Masaru!{/color}"
            centered "{color=#8c8c8c}It would be best to pursue this very mature yet very shy guy!{/color}"
        if Kenji_points >=3 and Masaru_points <3:
            centered "{color=#8c8c8c}Kenji!{/color}"
            centered "{color=#8c8c8c}You are perfect for this childish and loud guy!{/color}"
        if Masaru_points ==3 and Kenji_points ==3 or Masaru_points ==2 and Kenji_points ==2: 
            centered "{color=#8c8c8c}Whoops! It's a tie.{/color}"
            centered "{color=#8c8c8c}Looks like you might get a little bit confused on who you might choose!{/color}"
       
        centered "{color=#8c8c8c}Anyway, Bye now!{/color}"
        centered "{color=#8c8c8c}For real this time. :){/color}"
    else:    
        centered "{color=#8c8c8c}It's the same title but this ain't a childhood prologue...{/color}"
        centered "{color=#8c8c8c}This time...{/color}"
        centered "{color=#8c8c8c}...You'll get to see Masaru, Kenji and Shione on their teenage years!{/color}"
        centered "{color=#8c8c8c}Bye now! For real. :){/color}"
        
    return
